package fr.minecraftforgefrance.deathplayer;

import com.google.common.eventbus.Subscribe;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.event.entity.living.LivingDeathEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.Mod.EventHandler;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

@Mod(modid = SoundAtDeath.MODID, name = "Sound At Death", version = "0.1", acceptedMinecraftVersions = "[1.8.9]")
public class SoundAtDeath
{
    public static final String MODID = "soundatdeath";

    @EventHandler
    public void init(FMLInitializationEvent event)
    {
        MinecraftForge.EVENT_BUS.register(this);
    }
   
    @SubscribeEvent
    public void onLivingDeath(LivingDeathEvent event)
    {
        // on vérifie que le joueur mort est un joueur et que la source qu'il l'a tué est aussi un joueur
        if(event.entityLiving instanceof EntityPlayer && event.source.getSourceOfDamage() instanceof EntityPlayer)
        {
            event.entityLiving.worldObj.playSoundAtEntity(event.entityLiving, MODID + ":deathplayer", 1.0F, 1.0F);
        }
    }
}